/* une variable css permet de réutiliser des valeurs de tout type dans le projet, facilitant ainsi la modification de celui-ci */

:root { /* la pseudo classe :root permet de selectionner l'élément qui se trouve à la racine du document, la variable s'applique donc à l'ensemble du document */
  --main-color: #f00;
}
ul { /* il est possible d'écraser une variable en fonction du contexte. Ici, --main-color change de valeur dans les enfants d'un ul */
  --main-color: rgb(255, 238, 0);
}
/* pour utiliser la valeur d'une variable, il faut utiliser la "fonction" css var() */
div {
  color: var(--main-color)
}

.first {
  color: var(--main-color);
}
.second {
  color: var(--main-color);
}
.third {
  color: var(--main-color);
}
.fourth {
  color: var(--main-color);
}
.fifth {
  color: var(--main-color);
}

li:hover {
  color: black;
}

ul {
  list-style: none;
}